List Entity Type Attachment Types
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/notifications/notification-center/v1/entity-types/{entity_type}/attachment-types \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/notifications/notification-center/v1/entity-types/{entity_type}/attachment-types"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/notifications/notification-center/v1/entity-types/{entity_type}/attachment-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"supportedAttachmentTypes": [
{
"defaultEnabled": true,
"name": "alert_graph"
},
{
"defaultEnabled": false,
"name": "log_example"
}
]
}Entities Service
List Entity Type Attachment Types
Returns all supported attachment types for the specified entity type.
List Entity Type Attachment Types
Authorizations
API key authentication
Path Parameters
Entity type whose supported attachment types to list. Entity type.
Available options:
ENTITY_TYPE_UNSPECIFIED, ALERTS, TEST_NOTIFICATIONS, CASES Response
200 - application/json
Response containing a list of supported attachment types for the entity type.
The supported attachment types.
Maximum array length:
100Show child attributes
Show child attributes
Was this page helpful?
⌘I